%define anolis_release 1
Summary:	Library for easy parsing of XMP metadata
Name:		exempi
Version:	2.6.3
Release:	%{anolis_release}%{?dist}
License:	BSD
URL:		http://libopenraw.freedesktop.org/wiki/Exempi
Source0:	https://gitlab.freedesktop.org/libopenraw/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	gcc-c++
BuildRequires:	boost-devel expat-devel zlib-devel pkgconfig
BuildRequires:	autoconf automake libtool
BuildRequires: make
Provides:	bundled(md5-polstra)

%description
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:	Headers for developing programs that will use %{name}
Requires:	%{name} = %{EVR}
Requires:	pkgconfig

%description devel
This package contains the libraries and header files needed for
developing with exempi.

%prep
%autosetup -p1

%build
libtoolize -vi
NOCONFIGURE=1 ./autogen.sh
%configure CPPFLAGS="-I%{_includedir} -fno-strict-aliasing -DBanAllEntityUsage=1 -std=c++14"

# Disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%check
make check

%install
%make_install

rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_libdir}/*.a

%generate_compatibility_deps

%files
%doc COPYING
%dir %{abidir}
%{_bindir}/exempi
%{_libdir}/libexempi.so.8*
%{_mandir}/man1/exempi.1*
%{abidir}/libexempi.dump

%files doc
%doc AUTHORS ChangeLog INSTALL NEWS README*

%files devel
%{_includedir}/exempi-2.0/
%{_libdir}/libexempi.so
%{_libdir}/pkgconfig/*.pc

%changelog 
* Tue Feb 07 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 2.6.3-1
- update version

* Tue Apr 12 2022 Zhongling He <zhonglingh@linux.alibaba.com> 2.6.1-1
- Init package from upstream v2.6.1
